Project

General

Profile

action #9468

action #15108: [sle][functional][u][epic] Modules (Installation + migration)

[sle][functional]Modules - Legacy

Added by RBrownSUSE over 4 years ago. Updated over 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
New test
Start date:
2015-11-11
Due date:
% Done:

0%

Estimated time:
Difficulty:
Duration:

Description

We require proper modules testing

As the ProMan (maritawerner) clarified: "we have to do installationi and some basic tests for SLE 15. For SLE 12 SP4 QAM will make sure that nothing breaks inside, we have to cover installation tests only"

History

#1 Updated by RBrownSUSE over 4 years ago

  • Checklist set to [ ] SLE
  • Target version deleted (156)

#2 Updated by okurz over 3 years ago

  • Parent task set to #15108

#3 Updated by okurz almost 3 years ago

  • Subject changed from Modules - Legacy to [sle][functional]Modules - Legacy

#4 Updated by okurz over 2 years ago

  • Target version set to Milestone 12

I suggest to revisit for SLE12 SP4 and SLE15 at the same time

#5 Updated by sebchlad over 2 years ago

  • Assignee set to maritawerner
  • Target version deleted (Milestone 12)

Start date: 11/11/2015

another interesting item.

Removing target version. There are more critical issues for me (and this has prio: Low).

maritawerner: would you like to see this done for SLE15? What is the prio for this from your point of view?

#6 Updated by okurz over 2 years ago

hold on, it seems like you overlooked my last comment in #9468#note-4 : "I suggest to revisit for SLE12 SP4 and SLE15 at the same time". This is why I set the target version to M12 when we should be more stable with SLE15 and should have a SLE12SP4 starting. I suggest to readd it to M12.

#7 Updated by maritawerner over 2 years ago

  • Assignee deleted (maritawerner)
  • Priority changed from Low to Normal

During the Interlock discussions I found out that QAM will not test the Legacy module for a new code stream, only for updates.So we have to do installationi and some basic tests for SLE 15. For SLE 12 SP4 QAM will make sure that nothing breaks inside, we have to cover installation tests only.

#8 Updated by sebchlad over 2 years ago

  • Checklist deleted ([ ] SLE)

Removing checklist as this is a checklist with 1 item only, so not really useful.

"we have to do installationi and some basic tests for SLE 15. For SLE 12 SP4 QAM will make sure that nothing breaks inside, we have to cover installation tests only." - I will then update the description of the ticket to reflect current expectations.

#9 Updated by sebchlad over 2 years ago

  • Description updated (diff)

#10 Updated by sebchlad over 2 years ago

  • Target version set to Milestone 12

Adding the Milestone 12

#11 Updated by okurz over 2 years ago

  • Status changed from New to Resolved
  • Assignee set to okurz
  • Target version changed from Milestone 12 to Milestone 13

Covered in the "gnome+proxy_SCC+allmodules" test suite where we at least enable the module:

so the module activation and installation is covered in general. We do not have specific test to see if packages within the legacy module work within QA SLE functional but QA SLE migration is relying on the legacy module anyways so I consider ourselves done here.

Also available in: Atom PDF